#!/bin/bash

# This assoumes the following directory layout:
# /build/Android/cm-10.2 - cm10.2 with safestrap as bootable/recovery
# /build/Android/Safestrap - Safestrap APP direcotry

sync=0
device="maserati"

while [ "${*}" ]; do
	case "${1}" in
		sync)
			sync=1
			;;
		*)
			device="${1}"
			;;
	esac
	shift
done

echo "Sync: ${sync}, Device: ${device}"

export USE_CCACHE=1
mkdir -p /build/ccache
export CCACHE_DIR=/build/ccache
ccache -M 50G

cd /build/Android/cm-10.2

if [ "${sync}" != "0" ]; then
	repo sync
fi

source build/envsetup.sh
lunch "cm_${device}-userdebug"

make clobber
rm -rf out

set -e
time make -j8 recoveryimage
sh -x $ANDROID_BUILD_TOP/bootable/recovery/safestrap/devices/motorola/${device}/build-install.sh

unset JAVA_HOME
cd /build/Android/Safestrap
rm -rf assets/*
rsync -avP $OUT/APP/* assets/
ant clean
ant debug
